libreoffice (1:5.1.0~rc3-0ubuntu1) xenial; urgency=medium

  * bump to rc3
  * backport fix for ppc64el ftbfs

libreoffice (1:5.1.0~rc2-0ubuntu2) xenial; urgency=medium

  * use system mwaw, libwp*, lpsolve

libreoffice (1:5.1.0~rc2-0ubuntu1) xenial; urgency=medium

  * bump to rc2 and enable l10n

libreoffice (1:5.1.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - doesn't link evoab2 to gtk2 anymore (closes: #807640)

  * debian/patches/disable-npapi-plugin-support.diff: as name says,
    the only serious usecase is the doomed Flash anyway and it's
    causes a link against gtk2 in -core (closes: #807601)

libreoffice (1:5.1.0~beta1-0ubuntu1) xenial; urgency=medium

  * new upstream prerelease

libreoffice (1:5.1.0~beta2-1) experimental; urgency=medium

  * New upstream beta release
    - fixes crash when selecting the border style in some window managers
      (closes: #801504)

  * debian/patches/disable-flaky-tests.diff:
    - disable also libreofficekit_tiledrendering as it SIGSEGVs after OK
      (but lloconv works) with merged libs
    - remove checkBookmarks disabling, should work now according to
      upstream
  * debian/patches/poms.diff: add "official" upstream poms

  * debian/rules:
    - fix up .desktop (closes: #804669), remove (D|d)ev and version from
      Icon= and Exec=
    - re-enable checks
    - add sparc64 to OOO_ARCHS
    - re-enable avahi
    - install the AppData files now that they are installed upstream and
      uptodate (closes: #734524)

  * debian/scripts/get_ttf_version.pl, debian/rules: drop fontforge B-D-I;
    use pure perl for determining the version; taken from upstreams win
    installer

  * debian/ure.poms, debian/rules: also install ures unoloader.jar into maven
  * debian/libreoffice-officebean.poms, debian/rules: also install
    officebean.jar into maven
  * debian/*.pom.in, debian/rules: remove own poms and create final poms
    with version from upstreams one

libreoffice (1:5.1.0~alpha1-4ubuntu4) xenial; urgency=medium

  * add all build deps for report builder

libreoffice (1:5.1.0~alpha1-4ubuntu3) xenial; urgency=medium

  * revert move of liblpsolve when --with-system-lpsolve, is already done
    upstream

libreoffice (1:5.1.0~alpha1-4) experimental; urgency=medium

  * debian/rules:
    - work around the experimental buildds' resolver bug installing
      experimental packages per default where they shouldn't and add
      firebird-dev (>= 3.0) Build-Conflicts:

libreoffice (1:5.1.0~alpha1-3) experimental; urgency=medium

  * debian/control{.sdk}.in, debian/rules, debian/libreoffice-dev-doc.links:
    - stop moving the SDK docs into libreoffice-devs /usr/share/doc (and move
      the stuff installed into /usr/share/doc/libreoffice/sdk in libreoffice-dev
      to /usr/share/doc/libreoffice-dev, too) and conflict against
      libreoffice-dev / libreoffice-dev-doc (<= 1:5.0.3~rc1-2) where needed
      (closes: #803272, #803306)
  * debian/control.ure.in:
    - also break libreoffice-common in ure in addition to Replaces:
      (closes: #801552, #803565) and make it << 1:4.5.0 which was meant...

libreoffice (1:5.1.0~alpha1-2) experimental; urgency=medium

  * debian/patches/fix-xmlparse-with-icu55.diff: backport fix from
    master fixing l10ntools' XML parsing with ICU 55
  * debian/patches/icu-56.diff: prepare for ICU 56; fix FTBFS with new
    charmaps; backported from master

  * debian/rules:
    - recommend -gtk3 again in gnome as (even in Alpha1)
      Save As.. works (at least for me...) - closes: #681180
    - remove l10ntools build hack again, now obsolete

libreoffice (1:5.1.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release
    - uses HttpURLConnection etc. of the JDK instead of commons httpclient
      in the Wiki Publisher (closes: #800992)

  * debian/patches/series, debian/patches/disable-tiledrendering-test.diff:
    remove again, we need the functionality for liblibreofficekitgtk.so

  * debian/rules, debian/vars.mips64*:
    - add mips64{el,} architecture stuff which is now added upstream
  * debian/uno-libs3.symbols: update
  * debian/control.lokit.in:
    - suggest libgtk-3-dev instead of libgtk2.0-dev
    - suggest gir-1.2-lokdocview-0.1
  * debian/control*in, debian/rules:
    - remove upstream gone kdeab and gnome-vfs, gconf options
  * debian/control*.in, debian/rules:
    - package the LOKDocView introspection stuff into gir1.2-lokdocview-0.1
    - move liblibreofficekitgtk.so into -gtk3 as it's for Gtk3 now
  * debian/rules:
    - gtk3 is on per default now (closes: #799399). Keep -gnome depending on
      -gtk as gtk3 crashes e.g. on "Save as..."
    - disable the tests for now
    - also disable the wiki publisher on gcj builds; uses Java 6+ stuff; make
      -wiki-publisher depend on >= Java 6
  * debian/rules: prepare for .ddebs: disable manual -dbg build if building
    ddebs; use dh_strip --ddeb-migration to create .ddebs
  * debian/libreoffice-core.bug-script.in: dpkg -l -gtk -gtk3 and -kde to list
    installed VCLplugs

  * merge from Ubuntu:
    - add am and gug locales

Date: Thu, 04 Feb 2016 14:49:53 +0100
Changed-By: Bjoern Michaelsen <bjoern.michael...@canonical.com>
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
Signed-By: Sebastien Bacher <seb...@ubuntu.com>
https://launchpad.net/ubuntu/+source/libreoffice/1:5.1.0~rc3-0ubuntu1
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Feb 2016 14:49:53 +0100
Source: libreoffice
Binary: libreoffice libreoffice-l10n-za libreoffice-l10n-in libreoffice-core 
libreoffice-common libreoffice-java-common libreoffice-writer libreoffice-calc 
libreoffice-impress libreoffice-draw libreoffice-math libreoffice-base-core 
libreoffice-base libreoffice-style-oxygen libreoffice-style-breeze 
libreoffice-style-tango libreoffice-style-hicontrast libreoffice-style-sifr 
libreoffice-style-galaxy libreoffice-style-human libreoffice-gtk 
libreoffice-gnome python3-uno libreoffice-officebean 
libreoffice-script-provider-python libreoffice-script-provider-bsh 
libreoffice-script-provider-js libreoffice-pdfimport 
libreoffice-avmedia-backend-gstreamer libreoffice-avmedia-backend-vlc 
libreoffice-sdbc-firebird libreoffice-sdbc-hsqldb libreoffice-base-drivers 
uno-libs3 ure libreoffice-ogltrans libreoffice-wiki-publisher 
libreoffice-report-builder libreoffice-report-builder-bin fonts-opensymbol 
libreoffice-dbg uno-libs3-dbg ure-dbg libreoffice-dev libreoffice-dev-doc 
libreofficekit-dev
 libreoffice-gtk3 gir1.2-lokdocview-0.1 libreoffice-kde 
libreoffice-sdbc-postgresql libreoffice-mysql-connector 
libreoffice-subsequentcheckbase
 libreoffice-librelogo
Architecture: source
Version: 1:5.1.0~rc3-0ubuntu1
Distribution: xenial
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
Changed-By: Bjoern Michaelsen <bjoern.michael...@canonical.com>
Description:
 fonts-opensymbol - OpenSymbol TrueType font
 gir1.2-lokdocview-0.1 - GTK3 widget wrapping LibreOffice functionality - 
introspection
 libreoffice - office productivity suite (metapackage)
 libreoffice-avmedia-backend-gstreamer - GStreamer backend for LibreOffice
 libreoffice-avmedia-backend-vlc - VLC backend for LibreOffice
 libreoffice-base - office productivity suite -- database
 libreoffice-base-core - office productivity suite -- shared library
 libreoffice-base-drivers - Database connectivity drivers for LibreOffice
 libreoffice-calc - office productivity suite -- spreadsheet
 libreoffice-common - office productivity suite -- arch-independent files
 libreoffice-core - office productivity suite -- arch-dependent files
 libreoffice-dbg - office productivity suite -- debug symbols
 libreoffice-dev - office productivity suite -- SDK
 libreoffice-dev-doc - office productivity suite -- SDK documentation
 libreoffice-draw - office productivity suite -- drawing
 libreoffice-gnome - office productivity suite -- GNOME integration
 libreoffice-gtk - office productivity suite -- GTK+ integration
 libreoffice-gtk3 - office productivity suite -- GTK+ 3.0 integration
 libreoffice-impress - office productivity suite -- presentation
 libreoffice-java-common - office productivity suite -- arch-independent Java 
support files
 libreoffice-kde - office productivity suite -- KDE integration
 libreoffice-l10n-in - office productivity suite -- Indic language packages
 libreoffice-l10n-za - office productivity suite -- South African language 
packages
 libreoffice-librelogo - Logo-like progamming language for LibreOffice
 libreoffice-math - office productivity suite -- equation editor
 libreoffice-mysql-connector - MariaDB/MySQL Connector extension for LibreOffice
 libreoffice-officebean - office productivity suite -- Java bean
 libreoffice-ogltrans - LibreOffice Impress extension for slide transitions 
using OpenGL
 libreoffice-pdfimport - PDF Import component for LibreOffice
 libreoffice-report-builder - LibreOffice component for building database 
reports
 libreoffice-report-builder-bin - LibreOffice component for building database 
reports -- libraries
 libreoffice-script-provider-bsh - BeanShell script support provider for 
LibreOffice scripting frame
 libreoffice-script-provider-js - JavaScript script support provider for 
LibreOffice scripting fram
 libreoffice-script-provider-python - Python script support provider for 
LibreOffice scripting framewor
 libreoffice-sdbc-firebird - Firebird SDBC driver for LibreOffice
 libreoffice-sdbc-hsqldb - HSQLDB SDBC driver for LibreOffice
 libreoffice-sdbc-postgresql - PostgreSQL SDBC driver for LibreOffice
 libreoffice-style-breeze - office productivity suite -- Breeze symbol style
 libreoffice-style-galaxy - office productivity suite -- Galaxy (Default) 
symbol style
 libreoffice-style-hicontrast - office productivity suite -- Hicontrast symbol 
style
 libreoffice-style-human - office productivity suite -- Human symbol style
 libreoffice-style-oxygen - office productivity suite -- Oxygen symbol style
 libreoffice-style-sifr - office productivity suite -- Sifr symbol style
 libreoffice-style-tango - office productivity suite -- Tango symbol style
 libreoffice-subsequentcheckbase - LibreOffice java test libraries
 libreoffice-wiki-publisher - LibreOffice extension for working with MediaWiki 
articles
 libreoffice-writer - office productivity suite -- word processor
 libreofficekit-dev - LibreOfficeKit -- headers
 python3-uno - Python-UNO bridge
 uno-libs3  - LibreOffice UNO runtime environment -- public shared libraries
 uno-libs3-dbg - LibreOffice UNO runtime environment -- public shared library 
debu
 ure        - LibreOffice UNO runtime environment
 ure-dbg    - LibreOffice UNO runtime environment -- debug symbols
Closes: 681180 734524 799399 800992 801504 801552 803272 803306 803565 804669 
807601 807640
Changes:
 libreoffice (1:5.1.0~rc3-0ubuntu1) xenial; urgency=medium
 .
   * bump to rc3
   * backport fix for ppc64el ftbfs
 .
 libreoffice (1:5.1.0~rc2-0ubuntu2) xenial; urgency=medium
 .
   * use system mwaw, libwp*, lpsolve
 .
 libreoffice (1:5.1.0~rc2-0ubuntu1) xenial; urgency=medium
 .
   * bump to rc2 and enable l10n
 .
 libreoffice (1:5.1.0~rc1-1) experimental; urgency=medium
 .
   * New upstream release candidate
     - doesn't link evoab2 to gtk2 anymore (closes: #807640)
 .
   * debian/patches/disable-npapi-plugin-support.diff: as name says,
     the only serious usecase is the doomed Flash anyway and it's
     causes a link against gtk2 in -core (closes: #807601)
 .
 libreoffice (1:5.1.0~beta1-0ubuntu1) xenial; urgency=medium
 .
   * new upstream prerelease
 .
 libreoffice (1:5.1.0~beta2-1) experimental; urgency=medium
 .
   * New upstream beta release
     - fixes crash when selecting the border style in some window managers
       (closes: #801504)
 .
   * debian/patches/disable-flaky-tests.diff:
     - disable also libreofficekit_tiledrendering as it SIGSEGVs after OK
       (but lloconv works) with merged libs
     - remove checkBookmarks disabling, should work now according to
       upstream
   * debian/patches/poms.diff: add "official" upstream poms
 .
   * debian/rules:
     - fix up .desktop (closes: #804669), remove (D|d)ev and version from
       Icon= and Exec=
     - re-enable checks
     - add sparc64 to OOO_ARCHS
     - re-enable avahi
     - install the AppData files now that they are installed upstream and
       uptodate (closes: #734524)
 .
   * debian/scripts/get_ttf_version.pl, debian/rules: drop fontforge B-D-I;
     use pure perl for determining the version; taken from upstreams win
     installer
 .
   * debian/ure.poms, debian/rules: also install ures unoloader.jar into maven
   * debian/libreoffice-officebean.poms, debian/rules: also install
     officebean.jar into maven
   * debian/*.pom.in, debian/rules: remove own poms and create final poms
     with version from upstreams one
 .
 libreoffice (1:5.1.0~alpha1-4ubuntu4) xenial; urgency=medium
 .
   * add all build deps for report builder
 .
 libreoffice (1:5.1.0~alpha1-4ubuntu3) xenial; urgency=medium
 .
   * revert move of liblpsolve when --with-system-lpsolve, is already done
     upstream
 .
 libreoffice (1:5.1.0~alpha1-4) experimental; urgency=medium
 .
   * debian/rules:
     - work around the experimental buildds' resolver bug installing
       experimental packages per default where they shouldn't and add
       firebird-dev (>= 3.0) Build-Conflicts:
 .
 libreoffice (1:5.1.0~alpha1-3) experimental; urgency=medium
 .
   * debian/control{.sdk}.in, debian/rules, debian/libreoffice-dev-doc.links:
     - stop moving the SDK docs into libreoffice-devs /usr/share/doc (and move
       the stuff installed into /usr/share/doc/libreoffice/sdk in 
libreoffice-dev
       to /usr/share/doc/libreoffice-dev, too) and conflict against
       libreoffice-dev / libreoffice-dev-doc (<= 1:5.0.3~rc1-2) where needed
       (closes: #803272, #803306)
   * debian/control.ure.in:
     - also break libreoffice-common in ure in addition to Replaces:
       (closes: #801552, #803565) and make it << 1:4.5.0 which was meant...
 .
 libreoffice (1:5.1.0~alpha1-2) experimental; urgency=medium
 .
   * debian/patches/fix-xmlparse-with-icu55.diff: backport fix from
     master fixing l10ntools' XML parsing with ICU 55
   * debian/patches/icu-56.diff: prepare for ICU 56; fix FTBFS with new
     charmaps; backported from master
 .
   * debian/rules:
     - recommend -gtk3 again in gnome as (even in Alpha1)
       Save As.. works (at least for me...) - closes: #681180
     - remove l10ntools build hack again, now obsolete
 .
 libreoffice (1:5.1.0~alpha1-1) experimental; urgency=medium
 .
   * New upstream alpha release
     - uses HttpURLConnection etc. of the JDK instead of commons httpclient
       in the Wiki Publisher (closes: #800992)
 .
   * debian/patches/series, debian/patches/disable-tiledrendering-test.diff:
     remove again, we need the functionality for liblibreofficekitgtk.so
 .
   * debian/rules, debian/vars.mips64*:
     - add mips64{el,} architecture stuff which is now added upstream
   * debian/uno-libs3.symbols: update
   * debian/control.lokit.in:
     - suggest libgtk-3-dev instead of libgtk2.0-dev
     - suggest gir-1.2-lokdocview-0.1
   * debian/control*in, debian/rules:
     - remove upstream gone kdeab and gnome-vfs, gconf options
   * debian/control*.in, debian/rules:
     - package the LOKDocView introspection stuff into gir1.2-lokdocview-0.1
     - move liblibreofficekitgtk.so into -gtk3 as it's for Gtk3 now
   * debian/rules:
     - gtk3 is on per default now (closes: #799399). Keep -gnome depending on
       -gtk as gtk3 crashes e.g. on "Save as..."
     - disable the tests for now
     - also disable the wiki publisher on gcj builds; uses Java 6+ stuff; make
       -wiki-publisher depend on >= Java 6
   * debian/rules: prepare for .ddebs: disable manual -dbg build if building
     ddebs; use dh_strip --ddeb-migration to create .ddebs
   * debian/libreoffice-core.bug-script.in: dpkg -l -gtk -gtk3 and -kde to list
     installed VCLplugs
 .
   * merge from Ubuntu:
     - add am and gug locales
Checksums-Sha1:
 f62ecf63ee61824fb9a342f1f811339c6b6e7f59 14350 
libreoffice_5.1.0~rc3-0ubuntu1.dsc
 8703f0e7135a4e9b55412067f5c250e5ad2e7948 167638692 
libreoffice_5.1.0~rc3.orig-src.tar.xz
 73a535fcea996a418e1caaf3b99ad4e3d54e1e86 131380972 
libreoffice_5.1.0~rc3.orig-translations.tar.xz
 56a533c3290dcda89e59966ac7238fc0436970b6 155292536 
libreoffice_5.1.0~rc3.orig.tar.xz
 78feb67488a758da4643411c233d6dc20579feb7 2093396 
libreoffice_5.1.0~rc3-0ubuntu1.debian.tar.xz
Checksums-Sha256:
 e94af9270b0588a08c9d4acfcd9bcb09019a7cf9cf6a2f416f7caf0fb6bbb8d9 14350 
libreoffice_5.1.0~rc3-0ubuntu1.dsc
 8d1a8caed1b135e155dc4ee0a788ecc3063201f861b500222ea13a13af8bee65 167638692 
libreoffice_5.1.0~rc3.orig-src.tar.xz
 d3a3a8f76e78b1d5013eb1de7388ca4f15aa3e4f992a94e0102c58a5656034bd 131380972 
libreoffice_5.1.0~rc3.orig-translations.tar.xz
 b01827071054c3699045672e024c96b015cf545740d4f05d61d5f89bb18bdbbb 155292536 
libreoffice_5.1.0~rc3.orig.tar.xz
 61e42df7816378981ef364ae772e3c4edacdd59509640e5f315723e8b2f94ee7 2093396 
libreoffice_5.1.0~rc3-0ubuntu1.debian.tar.xz
Files:
 f8734d96d1a42223f0838c402b6d448a 14350 editors optional 
libreoffice_5.1.0~rc3-0ubuntu1.dsc
 e96dfc6362ae344a1fd05b68491117a4 167638692 editors optional 
libreoffice_5.1.0~rc3.orig-src.tar.xz
 87c7c2cce067fa889298544d09193e6b 131380972 editors optional 
libreoffice_5.1.0~rc3.orig-translations.tar.xz
 01525b0377a5facf4fc52c9ac62511b3 155292536 editors optional 
libreoffice_5.1.0~rc3.orig.tar.xz
 46f53793fb63cd11218f4009c2a6adfe 2093396 editors optional 
libreoffice_5.1.0~rc3-0ubuntu1.debian.tar.xz
Original-Maintainer: Debian LibreOffice Maintainers 
<debian-openoff...@lists.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAla6O68ACgkQQxo87aLX0pJAUgCeN0Hz0f7WWZPntlth7GYWWuIS
zj4AoJD/DVicEC7O61bfS1M46uOYZnS1
=gbZ0
-----END PGP SIGNATURE-----
-- 
Xenial-changes mailing list
Xenial-changes@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/xenial-changes

Reply via email to